# Installing

## Dependencies

- Xlib
- Xt
- Motif
- MWM
- A C compiler
- brightnessctl (for xmbrightness)
- xwallpaper

Installing via APK:

```
# apk add libx11 libx11-dev libxt libxt-dev motif motif-dev mwm xwallpaper clang
```

## libXmd

Before building any of the applications you will need to build libXmd, which
contains code common to most of them:

```
# cd libXmd
# ./build.sh install
```

## Individual applications

Individual applications can be installed using `./build.sh` in their respective
subdirectories:

```
# cd <application>
# ./build.sh install
```

## Replicants

Xmd provides something called replicants, which are dynamically loaded widgets
that can be placed inside of xmpanel. They can be installed using `./build.sh`
in their respective subdirectories:

```
# cd replicants/<replicant>
# ./build.sh install
```

## Glue

Xmd includes some utility scripts to provide a standard interface for things
like screenshotting. These can be installed using `./install.sh` in the `glue`
directory.

## Session

Xmd includes several scripts to facilitate using it as a desktop environment. It
can be installed using `./install.sh` in the `session` directory. Note that
without a configuration in place, the session scripts don't really do anything
useful. The next section of this document describes how to install a default
configuration.

## Default configuration

A default configuration can be installed by running `./install.sh` in the
`defaults` directory. It contains:

- An MWM configuration
- .xinitrc and .xsession files
- Default startup items
  - MWM
  - XMPanel
- Default panel replicants
